Subject: HELP! who can resolve DCMU in an aqueous medium?

From: [email-masked]
Date: 1 Apr 1996 09:01:16 -0800

I want to create experiments with isolated chloroplasts using DCMU as a
PSII electron transport inhibitor. Normaly DCMU are solved in ethanol be-
fore applying it for experiment in an aqueous medium. And there is the
problem, because I`ve to avoid ethanol- (or generally alcohol) concentrations
above 0,005% in the chloroplastmedium. Therefore I`m searching for alter-
native procedures to solve DCMU in substance, which is water-soluble.

I appreciate every advice under:
[email-masked]